Crashpad

List of all members
crashpad::PointerVector< T > Class Template Reference

Allows a `std::vector` to “own” pointer elements stored in it. More...

`#include "util/stdlib/pointer_container.h"`

Inheritance diagram for crashpad::PointerVector< T >:

## Detailed Description

### template<typename T>
class crashpad::PointerVector< T >

Allows a `std::vector` to “own” pointer elements stored in it.

When the vector is destroyed, `delete` will be called on its pointer elements.

Note
  No attempt is made to `delete` elements that are removed from the vector by other means, such as replacement or `clear()`.

The documentation for this class was generated from the following file:

- util/stdlib/pointer_container.h